/*
 * ptsession.h
 *
 * Allocate/release a pty master/slave pair, and handle utmp
 * entries.
 */

#ifndef PTSESSION_H
#define PTSESSION_H

#define PTSESS_CONSOLE		0x0001
#define PTSESS_8BIT		0x0002
#define PTSESS_LOGINSHELL	0x0004

/*
 * int ptsession(char **argv, int flags, int width, int height);
 *
 *	start a session on a pty.
 *	argv
 *		argument vector for the command to be run
 *	flags
 *		various flags that modify the behavior
 *		PTSESS_CONSOLE
 *			use console mode
 *		PTSESS_8BIT
 *			8bit clean tty
 *		PTSESS_LOGINSHELL
 *			mark the shell as login shell
 *	width, height
 *		initial screen size for the slave tty
 *	returns
 *		0 on success, -1 on error.
 */
int	ptsession(char **argv, int flags, int width, int height);

/*
 * int ptgetpid(void);
 *	Get the PID of the slave process
 */
int	ptgetpid(void);

/*
 * int ptgetpty(void);
 *	Get the pty file descriptor.
 */
int	ptgetpty(void);

/*
 * int ptgettty(void)
 *	Get the tty file descriptor.
 */
int	ptgettty(void);

/*
 * void ptcleanup(void);
 *	Clean up the session
 */
void	ptcleanup(void);

#endif /* PTSESSION_H */
